aboutsummaryrefslogtreecommitdiffstats
path: root/meta/packages/initscripts
diff options
context:
space:
mode:
Diffstat (limited to 'meta/packages/initscripts')
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/akita/devices68
-rw-r--r--meta/packages/initscripts/initscripts-1.0/arm/alignment.sh6
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/banner15
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/bootmisc.sh71
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/c7x0/devices68
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/checkfs.sh46
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/checkroot.sh165
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/collie/devices67
-rw-r--r--meta/packages/initscripts/initscripts-1.0/device_table.txt179
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/devices66
-rw-r--r--meta/packages/initscripts/initscripts-1.0/devpts5
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/devpts.sh28
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/finish6
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/h3600/devices37
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/h3900/devices37
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/halt31
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/hostname.sh11
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/jornada56x/devices37
-rw-r--r--meta/packages/initscripts/initscripts-1.0/jornada6xx/devices70
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/jornada7xx/devices37
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/mountall.sh45
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/mountnfs.sh87
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/openmn/extractfs7
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/openmn/packages63
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/openmn/umountfs17
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/openzaurus/checkversion31
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/poodle/devices67
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/populate-volatile.sh138
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/ramdisk46
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/reboot17
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/rmnologin14
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/sendsigs17
-rw-r--r--meta/packages/initscripts/initscripts-1.0/simpad/devices37
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/single21
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/spitz/devices68
-rw-r--r--meta/packages/initscripts/initscripts-1.0/sysfs.sh11
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/tosa/devices72
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/uml/devices61
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/umountfs18
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/umountnfs.sh28
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/urandom41
-rw-r--r--meta/packages/initscripts/initscripts-1.0/volatiles39
-rw-r--r--meta/packages/initscripts/initscripts_1.0.bb141
43 files changed, 2136 insertions, 0 deletions
diff --git a/meta/packages/initscripts/initscripts-1.0/akita/devices b/meta/packages/initscripts/initscripts-1.0/akita/devices
new file mode 100755
index 0000000000..083090ecb9
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/akita/devices
@@ -0,0 +1,68 @@
+#!/bin/sh
+#
+# Devfs handling script. Since we arent running devfsd due to various reasons
+# which I will not lay out here, we need to create some links for compatibility.
+
+. /etc/default/rcS
+
+# exit without doing anything if udev is active
+if test -e /dev/.udevdb; then
+ exit 0
+fi
+
+if test -e /dev/.devfsd
+then
+ if test "$VERBOSE" != "no"; then echo -n "Setting up device links for devfs: "; fi
+ ln -s /dev/touchscreen/0 /dev/ts
+ ln -s /dev/touchscreen/0raw /dev/tsraw
+ ln -s /dev/vc/0 /dev/tty0
+ ln -s /dev/vc/1 /dev/tty1
+ ln -s /dev/vc/2 /dev/tty2
+ ln -s /dev/vc/3 /dev/tty3
+ ln -s /dev/vc/4 /dev/tty4
+ ln -s /dev/vc/5 /dev/tty5
+ ln -s /dev/fb/0 /dev/fb0
+# ln -s /dev/tts/0 /dev/ttySA0
+# ln -s /dev/tts/1 /dev/ttySA1
+# ln -s /dev/tts/2 /dev/ttySA2
+
+ ln -s /dev/sound/dsp /dev/dsp
+ ln -s /dev/sound/mixer /dev/mixer
+
+ ln -s /dev/v4l/video0 /dev/video0
+ ln -s /dev/v4l/video0 /dev/video
+ ln -s /dev/misc/rtc /dev/rtc
+
+ ## need this so that ppp will autoload the ppp modules
+ mknod /dev/ppp c 108 0
+ if test "$VERBOSE" != "no"; then echo "done"; fi
+else
+ if test "$VERBOSE" != "no"; then echo -n "Mounting /dev ramdisk: "; fi
+ mount -t ramfs ramfs /dev || mount -t tmpfs ramfs /dev
+ if test $? -ne 0; then
+ if test "$VERBOSE" != "no"; then echo "failed"; fi
+ else
+ if test "$VERBOSE" != "no"; then echo "done"; fi
+ fi
+ if test "$VERBOSE" != "no"; then echo -n "Populating /dev: "; fi
+ cd /
+ mkdir -p dev/msys
+ mkdir -p dev/pts
+ mkdir -p dev/input
+ mkdir -p dev/vc
+ for i in 0 1 2 3 4 5 6 7 8 9; do
+ ln -s /dev/tty$i /dev/vc/$i
+ done
+ ln -sf /dev/sharp_ts /dev/ts
+ ln -sf /dev/sharp_fl /dev/fl
+ ln -sf /proc/self/fd /dev/fd
+ ln -sf /proc/kcore /dev/core
+ /sbin/makedevs -r / -D /etc/device_table
+ if test $? -ne 0; then
+ if test "$VERBOSE" != "no"; then echo "failed"; fi
+ else
+ if test "$VERBOSE" != "no"; then echo "done"; fi
+ fi
+fi
+
+exit 0
diff --git a/meta/packages/initscripts/initscripts-1.0/arm/alignment.sh b/meta/packages/initscripts/initscripts-1.0/arm/alignment.sh
new file mode 100644
index 0000000000..4a66dc6bc8
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/arm/alignment.sh
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+if [ -e /proc/cpu/alignment ]; then
+ echo "3" > /proc/cpu/alignment
+fi
+
diff --git a/meta/packages/initscripts/initscripts-1.0/banner b/meta/packages/initscripts/initscripts-1.0/banner
new file mode 100755
index 0000000000..21a01d2846
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/banner
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+if [ ! -e /dev/tty ]; then
+ /bin/mknod -m 0666 /dev/tty c 5 0
+fi
+
+if ( > /dev/tty0 ) 2>/dev/null; then
+ vtmaster=/dev/tty0
+elif ( > /dev/vc/0 ) 2>/dev/null; then
+ vtmaster=/dev/vc/0
+else
+ vtmaster=/dev/null
+fi
+echo > $vtmaster
+echo "Please wait: booting..." > $vtmaster
diff --git a/meta/packages/initscripts/initscripts-1.0/bootmisc.sh b/meta/packages/initscripts/initscripts-1.0/bootmisc.sh
new file mode 100755
index 0000000000..814dba676c
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/bootmisc.sh
@@ -0,0 +1,71 @@
+#
+# bootmisc.sh Miscellaneous things to be done during bootup.
+#
+
+. /etc/default/rcS
+#
+# Put a nologin file in /etc to prevent people from logging in before
+# system startup is complete.
+#
+if test "$DELAYLOGIN" = yes
+then
+ echo "System bootup in progress - please wait" > /etc/nologin
+ cp /etc/nologin /etc/nologin.boot
+fi
+
+#
+# Set pseudo-terminal access permissions.
+#
+if ( ! grep -q devfs /proc/mounts ) && test -c /dev/ttyp0
+then
+ chmod 666 /dev/tty[p-za-e][0-9a-f]
+ chown root:tty /dev/tty[p-za-e][0-9a-f]
+fi
+
+#
+# Apply /proc settings if defined
+#
+SYSCTL_CONF="/etc/sysctl.conf"
+if [ -f "${SYSCTL_CONF}" ]
+then
+ if [ -x "/sbin/sysctl" ]
+ then
+ /sbin/sysctl -p "${SYSCTL_CONF}"
+ else
+ echo "To have ${SYSCTL_CONF} applied during boot, install package <procps>."
+ fi
+fi
+
+#
+# Update /etc/motd.
+#
+if test "$EDITMOTD" != no
+then
+ uname -a > /etc/motd.tmp
+ sed 1d /etc/motd >> /etc/motd.tmp
+ mv /etc/motd.tmp /etc/motd
+fi
+
+#
+# This is as good a place as any for a sanity check
+# /tmp should be a symlink to /var/tmp to cut down on the number
+# of mounted ramdisks.
+if test ! -L /tmp && test -d /var/tmp
+then
+ rm -rf /tmp
+ ln -sf /var/tmp /tmp
+fi
+
+#
+# Update dynamic library cache
+#
+/sbin/ldconfig
+
+#
+# Recover the time, if there is a time file
+#
+if test -e /etc/timestamp
+then
+ date -s `cat /etc/timestamp`
+fi
+: exit 0
diff --git a/meta/packages/initscripts/initscripts-1.0/c7x0/devices b/meta/packages/initscripts/initscripts-1.0/c7x0/devices
new file mode 100755
index 0000000000..083090ecb9
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/c7x0/devices
@@ -0,0 +1,68 @@
+#!/bin/sh
+#
+# Devfs handling script. Since we arent running devfsd due to various reasons
+# which I will not lay out here, we need to create some links for compatibility.
+
+. /etc/default/rcS
+
+# exit without doing anything if udev is active
+if test -e /dev/.udevdb; then
+ exit 0
+fi
+
+if test -e /dev/.devfsd
+then
+ if test "$VERBOSE" != "no"; then echo -n "Setting up device links for devfs: "; fi
+ ln -s /dev/touchscreen/0 /dev/ts
+ ln -s /dev/touchscreen/0raw /dev/tsraw
+ ln -s /dev/vc/0 /dev/tty0
+ ln -s /dev/vc/1 /dev/tty1
+ ln -s /dev/vc/2 /dev/tty2
+ ln -s /dev/vc/3 /dev/tty3
+ ln -s /dev/vc/4 /dev/tty4
+ ln -s /dev/vc/5 /dev/tty5
+ ln -s /dev/fb/0 /dev/fb0
+# ln -s /dev/tts/0 /dev/ttySA0
+# ln -s /dev/tts/1 /dev/ttySA1
+# ln -s /dev/tts/2 /dev/ttySA2
+
+ ln -s /dev/sound/dsp /dev/dsp
+ ln -s /dev/sound/mixer /dev/mixer
+
+ ln -s /dev/v4l/video0 /dev/video0
+ ln -s /dev/v4l/video0 /dev/video
+ ln -s /dev/misc/rtc /dev/rtc
+
+ ## need this so that ppp will autoload the ppp modules
+ mknod /dev/ppp c 108 0
+ if test "$VERBOSE" != "no"; then echo "done"; fi
+else
+ if test "$VERBOSE" != "no"; then echo -n "Mounting /dev ramdisk: "; fi
+ mount -t ramfs ramfs /dev || mount -t tmpfs ramfs /dev
+ if test $? -ne 0; then
+ if test "$VERBOSE" != "no"; then echo "failed"; fi
+ else
+ if test "$VERBOSE" != "no"; then echo "done"; fi
+ fi
+ if test "$VERBOSE" != "no"; then echo -n "Populating /dev: "; fi
+ cd /
+ mkdir -p dev/msys
+ mkdir -p dev/pts
+ mkdir -p dev/input
+ mkdir -p dev/vc
+ for i in 0 1 2 3 4 5 6 7 8 9; do
+ ln -s /dev/tty$i /dev/vc/$i
+ done
+ ln -sf /dev/sharp_ts /dev/ts
+ ln -sf /dev/sharp_fl /dev/fl
+ ln -sf /proc/self/fd /dev/fd
+ ln -sf /proc/kcore /dev/core
+ /sbin/makedevs -r / -D /etc/device_table
+ if test $? -ne 0; then
+ if test "$VERBOSE" != "no"; then echo "failed"; fi
+ else
+ if test "$VERBOSE" != "no"; then echo "done"; fi
+ fi
+fi
+
+exit 0
diff --git a/meta/packages/initscripts/initscripts-1.0/checkfs.sh b/meta/packages/initscripts/initscripts-1.0/checkfs.sh
new file mode 100755
index 0000000000..7d2d75ef57
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/checkfs.sh
@@ -0,0 +1,46 @@
+#
+# checkfs.sh Check all filesystems.
+#
+# Version: @(#)checkfs 2.83 05-Oct-2001 miquels@cistron.nl
+#
+
+. /etc/default/rcS
+
+#
+# Check the rest of the filesystems.
+#
+if test ! -f /fastboot
+then
+ if test -f /forcefsck
+ then
+ force="-f"
+ else
+ force=""
+ fi
+ if test "$FSCKFIX" = yes
+ then
+ fix="-y"
+ else
+ fix="-a"
+ fi
+ spinner="-C"
+ case "$TERM" in
+ dumb|network|unknown|"") spinner="" ;;
+ esac
+ test "`uname -m`" = "s390" && spinner="" # This should go away
+ test "$VERBOSE" != no && echo "Checking all filesystems..."
+ fsck $spinner -R -A $fix $force
+ if test "$?" -gt 1
+ then
+ echo
+ echo "fsck failed. Please repair manually."
+ echo
+ echo "CONTROL-D will exit from this shell and continue system startup."
+ echo
+ # Start a single user shell on the console
+ /sbin/sulogin $CONSOLE
+ fi
+fi
+rm -f /fastboot /forcefsck
+
+: exit 0
diff --git a/meta/packages/initscripts/initscripts-1.0/checkroot.sh b/meta/packages/initscripts/initscripts-1.0/checkroot.sh
new file mode 100755
index 0000000000..8255038c32
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/checkroot.sh
@@ -0,0 +1,165 @@
+#
+# checkroot.sh Check to root filesystem.
+#
+# Version: @(#)checkroot.sh 2.84 25-Jan-2002 miquels@cistron.nl
+#
+
+. /etc/default/rcS
+
+#
+# Set SULOGIN in /etc/default/rcS to yes if you want a sulogin to be spawned
+# from this script *before anything else* with a timeout, like SCO does.
+#
+test "$SULOGIN" = yes && sulogin -t 30 $CONSOLE
+
+#
+# Ensure that bdflush (update) is running before any major I/O is
+# performed (the following fsck is a good example of such activity :).
+#
+test -x /sbin/update && update
+
+#
+# Read /etc/fstab.
+#
+exec 9>&0 </etc/fstab
+rootmode=rw
+rootopts=rw
+rootcheck=no
+swap_on_md=no
+devfs=
+while read fs mnt type opts dump pass junk
+do
+ case "$fs" in
+ ""|\#*)
+ continue;
+ ;;
+ /dev/md*)
+ # Swap on md device.
+ test "$type" = swap && swap_on_md=yes
+ ;;
+ /dev/*)
+ ;;
+ *)
+ # Might be a swapfile.
+ test "$type" = swap && swap_on_md=yes
+ ;;
+ esac
+ test "$type" = devfs && devfs="$fs"
+ test "$mnt" != / && continue
+ rootopts="$opts"
+ test "$pass" = 0 -o "$pass" = "" && rootcheck=no
+ case "$opts" in
+ ro|ro,*|*,ro|*,ro,*)
+ rootmode=ro
+ ;;
+ esac
+done
+exec 0>&9 9>&-
+
+#
+# Activate the swap device(s) in /etc/fstab. This needs to be done
+# before fsck, since fsck can be quite memory-hungry.
+#
+doswap=no
+test -d /proc/1 || mount -n /proc
+case "`uname -r`" in
+ 2.[0123].*)
+ if test $swap_on_md = yes && grep -qs resync /proc/mdstat
+ then
+ test "$VERBOSE" != no && echo "Not activating swap - RAID array resyncing"
+ else
+ doswap=yes
+ fi
+ ;;
+ *)
+ doswap=yes
+ ;;
+esac
+if test $doswap = yes
+then
+ test "$VERBOSE" != no && echo "Activating swap"
+ swapon -a 2> /dev/null
+fi
+
+#
+# Check the root filesystem.
+#
+if test -f /fastboot || test $rootcheck = no
+then
+ test $rootcheck = yes && echo "Fast boot, no filesystem check"
+else
+ #
+ # Ensure that root is quiescent and read-only before fsck'ing.
+ #
+ mount -n -o remount,ro /
+ if test $? = 0
+ then
+ if test -f /forcefsck
+ then
+ force="-f"
+ else
+ force=""
+ fi
+ if test "$FSCKFIX" = yes
+ then
+ fix="-y"
+ else
+ fix="-a"
+ fi
+ spinner="-C"
+ case "$TERM" in
+ dumb|network|unknown|"") spinner="" ;;
+ esac
+ test `uname -m` = s390 && spinner="" # This should go away
+ test "$VERBOSE" != no && echo "Checking root filesystem..."
+ fsck $spinner $force $fix /
+ #
+ # If there was a failure, drop into single-user mode.
+ #
+ # NOTE: "failure" is defined as exiting with a return code of
+ # 2 or larger. A return code of 1 indicates that filesystem
+ # errors were corrected but that the boot may proceed.
+ #
+ if test "$?" -gt 1
+ then
+ # Surprise! Re-directing from a HERE document (as in
+ # "cat << EOF") won't work, because the root is read-only.
+ echo
+ echo "fsck failed. Please repair manually and reboot. Please note"
+ echo "that the root filesystem is currently mounted read-only. To"
+ echo "remount it read-write:"
+ echo
+ echo " # mount -n -o remount,rw /"
+ echo
+ echo "CONTROL-D will exit from this shell and REBOOT the system."
+ echo
+ # Start a single user shell on the console
+ /sbin/sulogin $CONSOLE
+ reboot -f
+ fi
+ else
+ echo "*** ERROR! Cannot fsck root fs because it is not mounted read-only!"
+ echo
+ fi
+fi
+
+#
+# If the root filesystem was not marked as read-only in /etc/fstab,
+# remount the rootfs rw but do not try to change mtab because it
+# is on a ro fs until the remount succeeded. Then clean up old mtabs
+# and finally write the new mtab.
+#
+mount -n -o remount,$rootmode /
+if test "$rootmode" = rw
+then
+ if test ! -L /etc/mtab
+ then
+ rm -f /etc/mtab~ /etc/nologin
+ : > /etc/mtab
+ fi
+ mount -f -o remount /
+ mount -f /proc
+ test "$devfs" && grep -q '^devfs /dev' /proc/mounts && mount -f "$devfs"
+fi
+
+: exit 0
diff --git a/meta/packages/initscripts/initscripts-1.0/collie/devices b/meta/packages/initscripts/initscripts-1.0/collie/devices
new file mode 100755
index 0000000000..9d1624428a
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/collie/devices
@@ -0,0 +1,67 @@
+#!/bin/sh
+#
+# Devfs handling script. Since we arent running devfsd due to various reasons
+# which I will not lay out here, we need to create some links for compatibility.
+
+. /etc/default/rcS
+
+# exit without doing anything if udev is active
+if test -e /dev/.udevdb; then
+ exit 0
+fi
+
+if test -e /dev/.devfsd
+then
+ if test "$VERBOSE" != "no"; then echo -n "Setting up device links for devfs: "; fi
+ ln -s /dev/touchscreen/0 /dev/ts
+ ln -s /dev/touchscreen/0raw /dev/tsraw
+ ln -s /dev/vc/0 /dev/tty0
+ ln -s /dev/vc/1 /dev/tty1
+ ln -s /dev/vc/2 /dev/tty2
+ ln -s /dev/vc/3 /dev/tty3
+ ln -s /dev/vc/4 /dev/tty4
+ ln -s /dev/vc/5 /dev/tty5
+ ln -s /dev/fb/0 /dev/fb0
+# ln -s /dev/tts/0 /dev/ttySA0
+# ln -s /dev/tts/1 /dev/ttySA1
+# ln -s /dev/tts/2 /dev/ttySA2
+
+ ln -s /dev/sound/dsp /dev/dsp
+ ln -s /dev/sound/mixer /dev/mixer
+
+ ln -s /dev/v4l/video0 /dev/video0
+ ln -s /dev/v4l/video0 /dev/video
+ ln -s /dev/misc/rtc /dev/rtc
+
+ ## need this so that ppp will autoload the ppp modules
+ mknod /dev/ppp c 108 0
+ if test "$VERBOSE" != "no"; then echo "done"; fi
+else
+ if test "$VERBOSE" != "no"; then echo -n "Mounting /dev ramdisk: "; fi
+ mount -t ramfs ramfs /dev || mount -t tmpfs ramfs /dev
+ if test $? -ne 0; then
+ if test "$VERBOSE" != "no"; then echo "failed"; fi
+ else
+ if test "$VERBOSE" != "no"; then echo "done"; fi
+ fi
+ if test "$VERBOSE" != "no"; then echo -n "Populating /dev: "; fi
+ cd /
+ mkdir -p dev/msys
+ mkdir -p dev/pts
+ mkdir -p dev/vc
+ for i in 0 1 2 3 4 5 6 7 8 9; do
+ ln -s /dev/tty$i /dev/vc/$i
+ done
+ ln -sf /dev/sharp_ts /dev/ts
+ ln -sf /dev/sharp_fl /dev/fl
+ ln -sf /proc/self/fd /dev/fd
+ ln -sf /proc/kcore /dev/core
+ /sbin/makedevs -r / -D /etc/device_table
+ if test $? -ne 0; then
+ if test "$VERBOSE" != "no"; then echo "failed"; fi
+ else
+ if test "$VERBOSE" != "no"; then echo "done"; fi
+ fi
+fi
+
+exit 0
diff --git a/meta/packages/initscripts/initscripts-1.0/device_table.txt b/meta/packages/initscripts/initscripts-1.0/device_table.txt
new file mode 100644
index 0000000000..35560b4025
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/device_table.txt
@@ -0,0 +1,179 @@
+#/dev/ d 775 0 0 - - - - -
+#/dev/msys d 775 0 0 - - - - -
+#/dev/pts d 775 0 0 - - - - -
+#/var d 775 0 0 - - - - -
+/boot/var/empty d 755 0 3 - - - -
+/dev/apm_bios c 660 0 46 10 134 - - -
+/dev/audio c 660 0 29 14 4 - - -
+/dev/audio1 c 660 0 29 14 20 - - -
+/dev/audio2 c 660 0 29 14 36 - - -
+/dev/audio3 c 660 0 29 14 52 - - -
+/dev/bty c 644 0 0 60 0 0 1 5
+/dev/sharp_fl c 640 0 44 254 0 - - -
+/dev/console c 660 0 5 5 1 - -
+/dev/cusa0 c 640 0 0 205 5 - - -
+/dev/cusa1 c 640 0 0 205 6 - - -
+/dev/cusa2 c 640 0 0 205 7 - - -
+/dev/dsp c 660 0 29 14 3 - - -
+/dev/dsp1 c 660 0 29 14 19 - - -
+/dev/dsp2 c 660 0 29 14 35 - - -
+/dev/dsp3 c 660 0 29 14 51 - - -
+/dev/fb c 660 0 44 29 0 0 32 2
+/dev/fb0autodetect c 660 0 44 29 1 - - -
+/dev/fb0current c 660 0 44 29 0 - - -
+#/dev/fb1 c 660 0 44 29 32 - - -
+/dev/fb1autodetect c 660 0 44 29 33 - - -
+/dev/fb1current c 660 0 44 29 32 - - -
+/dev/full c 666 0 7 - - -
+/dev/hda b 660 0 6 3 0 - - -
+/dev/hda b 660 0 6 3 1 1 1 20
+/dev/hdb b 660 0 6 3 64 - - -
+/dev/hdb b 660 0 6 3 65 1 1 20
+/dev/hdc b 660 0 6 22 0 - - -
+/dev/hdc b 660 0 6 22 1 1 1 20
+/dev/initctl p 600 0 0 - - - -
+/dev/i2c0 c 660 0 0 89 0 - - -
+/dev/inportbm c 660 0 0 10 2 - - -
+/dev/input/event c 660 0 0 13 64 0 1 20
+/dev/ircomm0 c 640 0 0 161 0 - - -
+/dev/jbm c 660 0 0 10 4 - - -
+/dev/kmem c 640 0 15 1 2 - - -
+/dev/lirc c 660 0 5 61 0 - - -
+/dev/logibm c 660 0 0 10 0 - - -
+/dev/loop0 b 660 0 11 7 0 - - -
+/dev/loop1 b 660 0 11 7 1 - - -
+/dev/mem c 640 0 15 1 1 - - -
+/dev/mixer c 666 0 0 14 0 - - -
+/dev/mixer1 c 666 0 0 14 16 - - -
+/dev/mixer2 c 666 0 0 14 32 - - -
+/dev/mixer3 c 666 0 0 14 48 - - -
+/dev/mmcda b 640 0 0 60 0 - - -
+/dev/mmcda1 b 640 0 0 60 1 - - -
+/dev/mmcda2 b 640 0 0 60 2 - - -
+/dev/msys/fla b 660 0 11 100 0 - - -
+/dev/msys/fla1 b 660 0 11 100 1 - - -
+/dev/msys/fla2 b 660 0 11 100 2 - - -
+/dev/msys/fla3 b 660 0 11 100 3 - - -
+/dev/msys/fla4 b 660 0 11 100 4 - - -
+/dev/msys/flb b 660 0 11 100 64 - - -
+/dev/msys/flb1 b 660 0 11 100 65 - - -
+/dev/msys/flb2 b 660 0 11 100 66 - - -
+/dev/msys/flb3 b 660 0 11 100 67 - - -
+/dev/msys/flb4 b 660 0 11 100 68 - - -
+/dev/mtd c 660 0 6 90 0 0 2 8
+/dev/mtdblock b 640 0 0 31 0 0 1 8
+/dev/nst0 c 664 0 11 9 128 - - -
+/dev/nst0a c 664 0 11 9 224 - - -
+/dev/nst0l c 664 0 11 9 160 - - -
+/dev/nst0m c 664 0 11 9 192 - - -
+/dev/nst1 c 664 0 11 9 129 - - -
+/dev/nst1a c 664 0 11 9 225 - - -
+/dev/nst1l c 664 0 11 9 161 - - -
+/dev/nst1m c 664 0 11 9 193 - - -
+/dev/null c 666 0 0 1 3 - - -
+/dev/par0 c 660 0 7 6 0 - - -
+/dev/par1 c 660 0 7 6 1 - - -
+/dev/par2 c 660 0 7 6 2 - - -
+/dev/port c 640 0 15 1 4 - - -
+/dev/ppp c 640 0 0 108 0 - - -
+/dev/psaux c 660 0 0 10 1 - - -
+/dev/ptmx c 666 0 5 5 2 - - -
+/dev/ptya0 c 660 0 5 2 176 - - -
+/dev/ptya1 c 660 0 5 2 177 - - -
+/dev/ptya2 c 660 0 5 2 178 - - -
+/dev/ptya3 c 660 0 5 2 179 - - -
+/dev/ptya4 c 660 0 5 2 180 - - -
+/dev/ptya5 c 660 0 5 2 181 - - -
+/dev/ptya6 c 660 0 5 2 182 - - -
+/dev/ptya7 c 660 0 5 2 183 - - -
+/dev/ptya8 c 660 0 5 2 184 - - -
+/dev/ptya9 c 660 0 5 2 185 - - -
+/dev/ptyaa c 660 0 5 2 186 - - -
+/dev/ptyab c 660 0 5 2 187 - - -
+/dev/ptyac c 660 0 5 2 188 - - -
+/dev/ptyad c 660 0 5 2 189 - - -
+/dev/ptyae c 660 0 5 2 190 - - -
+/dev/ptyaf c 660 0 5 2 191 - - -
+/dev/ram b 640 0 0 1 0 0 1 4
+/dev/random c 444 0 0 1 8 - - -
+/dev/rfcomm0 c 660 0 0 216 0 - - -
+/dev/rfcomm1 c 660 0 0 216 1 - - -
+/dev/rfcomm2 c 660 0 0 216 2 - - -
+/dev/rfcomm3 c 660 0 0 216 3 - - -
+/dev/rfcomm4 c 660 0 0 216 4 - - -
+/dev/rfcomm5 c 660 0 0 216 5 - - -
+/dev/rfcomm6 c 660 0 0 216 6 - - -
+/dev/rfcomm7 c 660 0 0 216 7 - - -
+/dev/rfcomm8 c 660 0 0 216 8 - - -
+/dev/rfcomm9 c 660 0 0 216 9 - - -
+/dev/rfcomm10 c 660 0 0 216 10 - - -
+/dev/rfcomm11 c 660 0 0 216 11 - - -
+/dev/rfcomm12 c 660 0 0 216 12 - - -
+/dev/rfcomm13 c 660 0 0 216 13 - - -
+/dev/rfcomm14 c 660 0 0 216 14 - - -
+/dev/rfcomm15 c 660 0 0 216 15 - - -
+/dev/rmidi0 c 660 0 0 35 64 - - -
+/dev/rmidi1 c 660 0 0 35 65 - - -
+/dev/rmidi2 c 660 0 0 35 66 - - -
+/dev/rmidi3 c 660 0 0 35 67 - - -
+/dev/rtc c 660 0 47 10 135 - - -
+/dev/scd0 b 660 0 6 11 0 - - -
+/dev/scd1 b 660 0 6 11 1 - - -
+/dev/sda b 660 0 6 8 0 - - -
+/dev/sda1 b 660 0 6 8 1 - - -
+/dev/sda2 b 660 0 6 8 2 - - -
+/dev/sda3 b 660 0 6 8 3 - - -
+/dev/sda4 b 660 0 6 8 4 - - -
+/dev/sda5 b 660 0 6 8 5 - - -
+/dev/sda6 b 660 0 6 8 6 - - -
+/dev/sda7 b 660 0 6 8 7 - - -
+/dev/sda8 b 660 0 6 8 8 - - -
+/dev/sda9 b 660 0 6 8 9 - - -
+/dev/sdb b 660 0 6 8 16 - - -
+/dev/sdb1 b 660 0 6 8 17 - - -
+/dev/sdb2 b 660 0 6 8 18 - - -
+/dev/sdb3 b 660 0 6 8 19 - - -
+/dev/sdb4 b 660 0 6 8 20 - - -
+/dev/sdb5 b 660 0 6 8 21 - - -
+/dev/sdb6 b 660 0 6 8 22 - - -
+/dev/sdb7 b 660 0 6 8 23 - - -
+/dev/sdb8 b 660 0 6 8 24 - - -
+/dev/sdb9 b 660 0 6 8 25 - - -
+/dev/sdc b 660 0 6 8 32 - - -
+/dev/sdc1 b 660 0 6 8 33 - - -
+/dev/sdc2 b 660 0 6 8 34 - - -
+/dev/sdc3 b 660 0 6 8 35 - - -
+/dev/sdc4 b 660 0 6 8 36 - - -
+/dev/sdc5 b 660 0 6 8 37 - - -
+/dev/sdc6 b 660 0 6 8 38 - - -
+/dev/sdc7 b 660 0 6 8 39 - - -
+/dev/sdc8 b 660 0 6 8 40 - - -
+/dev/sdc9 b 660 0 6 8 41 - - -
+/dev/sd_slotstat c 660 0 6 10 240 - - -
+/dev/sharp_audioctl c 660 0 29 10 213 - - -
+/dev/sharp_buz c 660 0 29 10 211 - - -
+/dev/sharp_kbdctl c 660 0 45 10 214 - - -
+/dev/sharp_led c 660 0 48 10 210 - - -
+/dev/sharp_ts c 640 0 45 11 0 - - -
+/dev/smtpe0 c 640 0 0 35 128 - - -
+/dev/smtpe1 c 640 0 0 35 129 - - -
+/dev/smtpe2 c 640 0 0 35 130 - - -
+/dev/smtpe3 c 640 0 0 35 131 - - -
+/dev/sndstat c 660 0 29 14 6 - - -
+/dev/st0 c 660 0 11 9 0 - - -
+/dev/st0a c 660 0 11 9 96 - - -
+/dev/st0l c 660 0 11 9 32 - - -
+/dev/st0m c 660 0 11 9 64 - - -
+/dev/st1 c 660 0 11 9 1 - - -
+/dev/st1a c 660 0 11 9 97 - - -
+/dev/st1l c 660 0 11 9 33 - - -
+/dev/st1m c 660 0 11 9 65 - - -
+/dev/tty c 664 0 5 5 0 - - -
+/dev/tty c 666 0 5 4 0 0 1 9
+/dev/ttyS c 640 0 5 4 64 0 1 4
+/dev/ttySA c 640 0 5 204 5 0 1 4
+/dev/ttyUSB c 660 0 5 188 0 0 1 2
+/dev/urandom c 644 0 0 1 9 - - -
+/dev/usbmouse c 640 0 45 10 32 - - -
+/dev/zero c 644 0 0 1 5 - - -
+/dev/input/mice c 660 0 0 13 63 - - -
diff --git a/meta/packages/initscripts/initscripts-1.0/devices b/meta/packages/initscripts/initscripts-1.0/devices
new file mode 100755
index 0000000000..28fb71fe3f
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/devices
@@ -0,0 +1,66 @@
+#!/bin/sh
+#
+# Devfs handling script. Since we arent running devfsd due to various reasons
+# which I will not lay out here, we need to create some links for compatibility.
+
+. /etc/default/rcS
+
+# exit without doing anything if udev is active
+if test -e /dev/.udevdb; then
+ exit 0
+fi
+
+if test -e /dev/.devfsd
+then
+ if test "$VERBOSE" != "no"; then echo -n "Setting up device links for devfs: "; fi
+ ln -s /dev/touchscreen/0 /dev/ts
+ ln -s /dev/touchscreen/0raw /dev/tsraw
+ ln -s /dev/vc/0 /dev/tty0
+ ln -s /dev/vc/1 /dev/tty1
+ ln -s /dev/vc/2 /dev/tty2
+ ln -s /dev/vc/3 /dev/tty3
+ ln -s /dev/vc/4 /dev/tty4
+ ln -s /dev/vc/5 /dev/tty5
+ ln -s /dev/fb/0 /dev/fb0
+# ln -s /dev/tts/0 /dev/ttySA0
+# ln -s /dev/tts/1 /dev/ttySA1
+# ln -s /dev/tts/2 /dev/ttySA2
+
+ ln -s /dev/sound/dsp /dev/dsp
+ ln -s /dev/sound/mixer /dev/mixer
+
+ ln -s /dev/v4l/video0 /dev/video0
+ ln -s /dev/v4l/video0 /dev/video
+ ln -s /dev/misc/rtc /dev/rtc
+
+ ## need this so that ppp will autoload the ppp modules
+ mknod /dev/ppp c 108 0
+ if test "$VERBOSE" != "no"; then echo "done"; fi
+else
+ if test "$VERBOSE" != "no"; then echo -n "Mounting /dev ramdisk: "; fi
+ mount -t ramfs ramfs /dev || mount -t tmpfs ramfs /dev
+ if test $? -ne 0; then
+ if test "$VERBOSE" != "no"; then echo "failed"; fi
+ else
+ if test "$VERBOSE" != "no"; then echo "done"; fi
+ fi
+ if test "$VERBOSE" != "no"; then echo -n "Populating /dev: "; fi
+ cd /
+ mkdir -p dev/input
+ mkdir -p dev/msys
+ mkdir -p dev/pts
+ mkdir -p dev/vc
+ for i in 0 1 2 3 4 5 6 7 8 9; do
+ ln -s /dev/tty$i /dev/vc/$i
+ done
+ ln -sf /proc/self/fd /dev/fd
+ ln -sf /proc/kcore /dev/core
+ /sbin/makedevs -r / -D /etc/device_table
+ if test $? -ne 0; then
+ if test "$VERBOSE" != "no"; then echo "failed"; fi
+ else
+ if test "$VERBOSE" != "no"; then echo "done"; fi
+ fi
+fi
+
+exit 0
diff --git a/meta/packages/initscripts/initscripts-1.0/devpts b/meta/packages/initscripts/initscripts-1.0/devpts
new file mode 100644
index 0000000000..4a0978b404
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/devpts
@@ -0,0 +1,5 @@
+# GID of the `tty' group
+TTYGRP=5
+
+# Set to 600 to have `mesg n' be the default
+TTYMODE=620
diff --git a/meta/packages/initscripts/initscripts-1.0/devpts.sh b/meta/packages/initscripts/initscripts-1.0/devpts.sh
new file mode 100755
index 0000000000..334cf63801
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/devpts.sh
@@ -0,0 +1,28 @@
+#! /bin/sh
+
+. /etc/default/devpts
+
+test "`uname -s`" = "Linux" || exit 0
+
+#
+# First find out if devpts is available. Also check if devfs
+# is already mounted - in that case we don't want to use devpts.
+#
+if test ! -e /dev/.devfsd && ( grep -q devpts /proc/filesystems )
+then
+ #
+ # Create multiplexor device.
+ #
+ test -c /dev/ptmx || mknod -m 666 /dev/ptmx c 5 2
+
+ #
+ # Mount /dev/pts if needed.
+ #
+ if ( ! grep -q devpts /proc/mounts )
+ then
+ mkdir -p /dev/pts
+ mount -t devpts devpts /dev/pts -ogid=${TTYGRP},mode=${TTYMODE}
+ fi
+fi
+
+exit 0
diff --git a/meta/packages/initscripts/initscripts-1.0/finish b/meta/packages/initscripts/initscripts-1.0/finish
new file mode 100755
index 0000000000..4f9f75f47c
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/finish
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+if ! test -e /etc/.configured; then
+ > /etc/.configured
+fi
+
diff --git a/meta/packages/initscripts/initscripts-1.0/h3600/devices b/meta/packages/initscripts/initscripts-1.0/h3600/devices
new file mode 100755
index 0000000000..0e59229225
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/h3600/devices
@@ -0,0 +1,37 @@
+#!/bin/sh
+#
+# Devfs handling script. Since we arent running devfsd due to various reasons
+# which I will not lay out here, we need to create some links for compatibility.
+
+# exit without doing anything if udev is active
+if test -e /dev/.udevdb; then
+ exit 0
+fi
+
+ test -n "$VERBOSE" && echo -n "Setting up device links for devfs: "
+ (
+ ln -s /dev/vc/0 /dev/tty0
+ ln -s /dev/vc/1 /dev/tty1
+ ln -s /dev/vc/2 /dev/tty2
+ ln -s /dev/vc/3 /dev/tty3
+ ln -s /dev/vc/4 /dev/tty4
+ ln -s /dev/vc/5 /dev/tty5
+ ln -s /dev/fb/0 /dev/fb0
+ # ln -s /dev/tts/0 /dev/ttySA0
+ # ln -s /dev/tts/1 /dev/ttySA1
+ # ln -s /dev/tts/2 /dev/ttySA2
+
+ ln -s /dev/sound/dsp /dev/dsp
+ ln -s /dev/sound/mixer /dev/mixer
+
+ ln -s /dev/v4l/video0 /dev/video0
+ ln -s /dev/v4l/video0 /dev/video
+ ln -s /dev/misc/rtc /dev/rtc
+ ln -s /dev/misc/apm_bios /dev/apm_bios
+
+ ## need this so that ppp will autoload the ppp modules
+ mknod /dev/ppp c 108 0
+ ) > /dev/null 2>&1
+
+
+ test -n "$VERBOSE" && echo "done"
diff --git a/meta/packages/initscripts/initscripts-1.0/h3900/devices b/meta/packages/initscripts/initscripts-1.0/h3900/devices
new file mode 100755
index 0000000000..0e59229225
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/h3900/devices
@@ -0,0 +1,37 @@
+#!/bin/sh
+#
+# Devfs handling script. Since we arent running devfsd due to various reasons
+# which I will not lay out here, we need to create some links for compatibility.
+
+# exit without doing anything if udev is active
+if test -e /dev/.udevdb; then
+ exit 0
+fi
+
+ test -n "$VERBOSE" && echo -n "Setting up device links for devfs: "
+ (
+ ln -s /dev/vc/0 /dev/tty0
+ ln -s /dev/vc/1 /dev/tty1
+ ln -s /dev/vc/2 /dev/tty2
+ ln -s /dev/vc/3 /dev/tty3
+ ln -s /dev/vc/4 /dev/tty4
+ ln -s /dev/vc/5 /dev/tty5
+ ln -s /dev/fb/0 /dev/fb0
+ # ln -s /dev/tts/0 /dev/ttySA0
+ # ln -s /dev/tts/1 /dev/ttySA1
+ # ln -s /dev/tts/2 /dev/ttySA2
+
+ ln -s /dev/sound/dsp /dev/dsp
+ ln -s /dev/sound/mixer /dev/mixer
+
+ ln -s /dev/v4l/video0 /dev/video0
+ ln -s /dev/v4l/video0 /dev/video
+ ln -s /dev/misc/rtc /dev/rtc
+ ln -s /dev/misc/apm_bios /dev/apm_bios
+
+ ## need this so that ppp will autoload the ppp modules
+ mknod /dev/ppp c 108 0
+ ) > /dev/null 2>&1
+
+
+ test -n "$VERBOSE" && echo "done"
diff --git a/meta/packages/initscripts/initscripts-1.0/halt b/meta/packages/initscripts/initscripts-1.0/halt
new file mode 100755
index 0000000000..aa1769606a
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/halt
@@ -0,0 +1,31 @@
+#! /bin/sh
+#
+# halt Execute the halt command.
+#
+# Version: @(#)halt 2.84-2 07-Jan-2002 miquels@cistron.nl
+#
+
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
+
+# Update the timestamp, if there is already one
+if test -e /etc/timestamp
+then
+ date +%2m%2d%2H%2M%Y > /etc/timestamp
+fi
+
+# See if we need to cut the power.
+if test -x /etc/init.d/ups-monitor
+then
+ /etc/init.d/ups-monitor poweroff
+fi
+
+# Don't shut down drives if we're using RAID.
+hddown="-h"
+if grep -qs '^md.*active' /proc/mdstat
+then
+ hddown=""
+fi
+
+halt -d -f -i -p $hddown
+
+: exit 0
diff --git a/meta/packages/initscripts/initscripts-1.0/hostname.sh b/meta/packages/initscripts/initscripts-1.0/hostname.sh
new file mode 100755
index 0000000000..0f3d374286
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/hostname.sh
@@ -0,0 +1,11 @@
+#
+# hostname.sh Set hostname.
+#
+# Version: @(#)hostname.sh 1.10 26-Feb-2001 miquels@cistron.nl
+#
+
+if test -f /etc/hostname
+then
+ hostname -F /etc/hostname
+fi
+
diff --git a/meta/packages/initscripts/initscripts-1.0/jornada56x/devices b/meta/packages/initscripts/initscripts-1.0/jornada56x/devices
new file mode 100755
index 0000000000..0e59229225
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/jornada56x/devices
@@ -0,0 +1,37 @@
+#!/bin/sh
+#
+# Devfs handling script. Since we arent running devfsd due to various reasons
+# which I will not lay out here, we need to create some links for compatibility.
+
+# exit without doing anything if udev is active
+if test -e /dev/.udevdb; then
+ exit 0
+fi
+
+ test -n "$VERBOSE" && echo -n "Setting up device links for devfs: "
+ (
+ ln -s /dev/vc/0 /dev/tty0
+ ln -s /dev/vc/1 /dev/tty1
+ ln -s /dev/vc/2 /dev/tty2
+ ln -s /dev/vc/3 /dev/tty3
+ ln -s /dev/vc/4 /dev/tty4
+ ln -s /dev/vc/5 /dev/tty5
+ ln -s /dev/fb/0 /dev/fb0
+ # ln -s /dev/tts/0 /dev/ttySA0
+ # ln -s /dev/tts/1 /dev/ttySA1
+ # ln -s /dev/tts/2 /dev/ttySA2
+
+ ln -s /dev/sound/dsp /dev/dsp
+ ln -s /dev/sound/mixer /dev/mixer
+
+ ln -s /dev/v4l/video0 /dev/video0
+ ln -s /dev/v4l/video0 /dev/video
+ ln -s /dev/misc/rtc /dev/rtc
+ ln -s /dev/misc/apm_bios /dev/apm_bios
+
+ ## need this so that ppp will autoload the ppp modules
+ mknod /dev/ppp c 108 0
+ ) > /dev/null 2>&1
+
+
+ test -n "$VERBOSE" && echo "done"
diff --git a/meta/packages/initscripts/initscripts-1.0/jornada6xx/devices b/meta/packages/initscripts/initscripts-1.0/jornada6xx/devices
new file mode 100644
index 0000000000..fc96ff62ee
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/jornada6xx/devices
@@ -0,0 +1,70 @@
+#!/bin/sh
+#
+# Devfs handling script. Since we arent running devfsd due to various reasons
+# which I will not lay out here, we need to create some links for compatibility.
+
+. /etc/default/rcS
+
+# exit without doing anything if udev is active
+if test -e /dev/.udevdb; then
+ exit 0
+fi
+
+if test -e /dev/.devfsd
+then
+ if test "$VERBOSE" != "no"; then echo -n "Setting up device links for devfs: "; fi
+ ln -s /dev/touchscreen/0 /dev/ts
+ ln -s /dev/touchscreen/0raw /dev/tsraw
+ ln -s /dev/vc/0 /dev/tty0
+ ln -s /dev/vc/1 /dev/tty1
+ ln -s /dev/vc/2 /dev/tty2
+ ln -s /dev/vc/3 /dev/tty3
+ ln -s /dev/vc/4 /dev/tty4
+ ln -s /dev/vc/5 /dev/tty5
+ ln -s /dev/fb/0 /dev/fb0
+# ln -s /dev/tts/0 /dev/ttySA0
+# ln -s /dev/tts/1 /dev/ttySA1
+# ln -s /dev/tts/2 /dev/ttySA2
+
+ ln -s /dev/sound/dsp /dev/dsp
+ ln -s /dev/sound/mixer /dev/mixer
+
+ ln -s /dev/v4l/video0 /dev/video0
+ ln -s /dev/v4l/video0 /dev/video
+ ln -s /dev/misc/rtc /dev/rtc
+
+ ## need this so that ppp will autoload the ppp modules
+ mknod /dev/ppp c 108 0
+
+ if test "$VERBOSE" != "no"; then echo "done"; fi
+else
+ if test "$VERBOSE" != "no"; then echo -n "Mounting /dev ramdisk: "; fi
+ mount -t ramfs ramfs /dev || mount -t tmpfs ramfs /dev
+ if test $? -ne 0; then
+ if test "$VERBOSE" != "no"; then echo "failed"; fi
+ else
+ if test "$VERBOSE" != "no"; then echo "done"; fi
+ fi
+ if test "$VERBOSE" != "no"; then echo -n "Populating /dev: "; fi
+ cd /
+ mkdir -p dev/input
+ mknod /dev/input/ts0 c 13 128
+ mknod /dev/ttySC1 c 9 204
+ mknod /dev/irda0 c 10 204
+ mkdir -p dev/msys
+ mkdir -p dev/pts
+ mkdir -p dev/vc
+ for i in 0 1 2 3 4 5 6 7 8 9; do
+ ln -s /dev/tty$i /dev/vc/$i
+ done
+ ln -sf /proc/self/fd /dev/fd
+ ln -sf /proc/kcore /dev/core
+ /sbin/makedevs -r / -D /etc/device_table
+ if test $? -ne 0; then
+ if test "$VERBOSE" != "no"; then echo "failed"; fi
+ else
+ if test "$VERBOSE" != "no"; then echo "done"; fi
+ fi
+fi
+
+exit 0
diff --git a/meta/packages/initscripts/initscripts-1.0/jornada7xx/devices b/meta/packages/initscripts/initscripts-1.0/jornada7xx/devices
new file mode 100755
index 0000000000..0e59229225
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/jornada7xx/devices
@@ -0,0 +1,37 @@
+#!/bin/sh
+#
+# Devfs handling script. Since we arent running devfsd due to various reasons
+# which I will not lay out here, we need to create some links for compatibility.
+
+# exit without doing anything if udev is active
+if test -e /dev/.udevdb; then
+ exit 0
+fi
+
+ test -n "$VERBOSE" && echo -n "Setting up device links for devfs: "
+ (
+ ln -s /dev/vc/0 /dev/tty0
+ ln -s /dev/vc/1 /dev/tty1
+ ln -s /dev/vc/2 /dev/tty2
+ ln -s /dev/vc/3 /dev/tty3
+ ln -s /dev/vc/4 /dev/tty4
+ ln -s /dev/vc/5 /dev/tty5
+ ln -s /dev/fb/0 /dev/fb0
+ # ln -s /dev/tts/0 /dev/ttySA0
+ # ln -s /dev/tts/1 /dev/ttySA1
+ # ln -s /dev/tts/2 /dev/ttySA2
+
+ ln -s /dev/sound/dsp /dev/dsp
+ ln -s /dev/sound/mixer /dev/mixer
+
+ ln -s /dev/v4l/video0 /dev/video0
+ ln -s /dev/v4l/video0 /dev/video
+ ln -s /dev/misc/rtc /dev/rtc
+ ln -s /dev/misc/apm_bios /dev/apm_bios
+
+ ## need this so that ppp will autoload the ppp modules
+ mknod /dev/ppp c 108 0
+ ) > /dev/null 2>&1
+
+
+ test -n "$VERBOSE" && echo "done"
diff --git a/meta/packages/initscripts/initscripts-1.0/mountall.sh b/meta/packages/initscripts/initscripts-1.0/mountall.sh
new file mode 100755
index 0000000000..b5cb85a1e9
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/mountall.sh
@@ -0,0 +1,45 @@
+#
+# mountall.sh Mount all filesystems.
+#
+# Version: @(#)mountall.sh 2.83-2 01-Nov-2001 miquels@cistron.nl
+#
+. /etc/default/rcS
+
+#
+# Mount local filesystems in /etc/fstab. For some reason, people
+# might want to mount "proc" several times, and mount -v complains
+# about this. So we mount "proc" filesystems without -v.
+#
+test "$VERBOSE" != no && echo "Mounting local filesystems..."
+mount -at nonfs,nosmbfs,noncpfs 2>/dev/null
+
+#
+# We might have mounted something over /dev, see if /dev/initctl is there.
+#
+if test ! -p /dev/initctl
+then
+ rm -f /dev/initctl
+ mknod -m 600 /dev/initctl p
+fi
+kill -USR1 1
+
+#
+# Execute swapon command again, in case we want to swap to
+# a file on a now mounted filesystem.
+#
+doswap=yes
+case "`uname -r`" in
+ 2.[0123].*)
+ if grep -qs resync /proc/mdstat
+ then
+ doswap=no
+ fi
+ ;;
+esac
+if test $doswap = yes
+then
+ swapon -a 2> /dev/null
+fi
+
+: exit 0
+
diff --git a/meta/packages/initscripts/initscripts-1.0/mountnfs.sh b/meta/packages/initscripts/initscripts-1.0/mountnfs.sh
new file mode 100755
index 0000000000..84cb3651fc
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/mountnfs.sh
@@ -0,0 +1,87 @@
+#
+# mountnfs.sh Now that TCP/IP is configured, mount the NFS file
+# systems in /etc/fstab if needed. If possible,
+# start the portmapper before mounting (this is needed for
+# Linux 2.1.x and up).
+#
+# Also mounts SBM filesystems now, so the name of
+# this script is getting increasingly inaccurate.
+#
+# Version: @(#)mountnfs.sh 2.83 05-Oct-2001 miquels@cistron.nl
+#
+
+. /etc/default/rcS
+
+#
+# Run in a subshell because of I/O redirection.
+#
+test -f /etc/fstab && (
+
+#
+# Read through fstab line by line. If it is NFS, set the flag
+# for mounting NFS filesystems. If any NFS partition is found and it
+# not mounted with the nolock option, we start the portmapper.
+#
+portmap=no
+mount_nfs=no
+mount_smb=no
+mount_ncp=no
+while read device mountpt fstype options
+do
+ case "$device" in
+ ""|\#*)
+ continue
+ ;;
+ esac
+
+ case "$options" in
+ *noauto*)
+ continue
+ ;;
+ esac
+
+ if test "$fstype" = nfs
+ then
+ mount_nfs=yes
+ case "$options" in
+ *nolock*)
+ ;;
+ *)
+ portmap=yes
+ ;;
+ esac
+ fi
+ if test "$fstype" = smbfs
+ then
+ mount_smb=yes
+ fi
+ if test "$fstype" = ncpfs
+ then
+ mount_ncp=yes
+ fi
+done
+
+exec 0>&1
+
+if test "$portmap" = yes
+then
+ if test -x /sbin/portmap
+ then
+ echo -n "Starting portmapper... "
+ start-stop-daemon --start --quiet --exec /sbin/portmap
+ sleep 2
+ fi
+fi
+
+if test "$mount_nfs" = yes || test "$mount_smb" = yes || test "$mount_ncp" = yes
+then
+ echo "Mounting remote filesystems..."
+ test "$mount_nfs" = yes && mount -a -t nfs
+ test "$mount_smb" = yes && mount -a -t smbfs
+ test "$mount_ncp" = yes && mount -a -t ncpfs
+fi
+
+) < /etc/fstab
+
+: exit 0
+
diff --git a/meta/packages/initscripts/initscripts-1.0/openmn/extractfs b/meta/packages/initscripts/initscripts-1.0/openmn/extractfs
new file mode 100755
index 0000000000..7e57dedd2d
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/openmn/extractfs
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+if (grep -q 'tmpfs.*/var.*tmpfs' /proc/mounts)
+then
+ test "$VERBOSE" != no && echo "Copying /var filesystem..."
+ cp -a /boot/var /
+fi
diff --git a/meta/packages/initscripts/initscripts-1.0/openmn/packages b/meta/packages/initscripts/initscripts-1.0/openmn/packages
new file mode 100755
index 0000000000..2566487d2d
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/openmn/packages
@@ -0,0 +1,63 @@
+#!/bin/sh
+# Original author: ???
+#
+# Additions by Steph Meslin-Weber:
+# x Percentage display
+# x Dot display of dependency installations
+# - removed both of above
+# - display is now X of Y packages and current package name being installed
+
+#. /etc/default/rcS
+
+reconfigure () {
+ pkg=$1
+ path=$2
+ isdependent=$3
+ test -e "$path/info/$pkg.control" || return 1
+ depends="`cat $path/info/$pkg.control|grep Depends|cut -d: -f2`"
+
+ # make sure we haven't already installed this package
+ isthere=`cat /tmp/.configured.list|grep $pkg`
+ if test "$isthere" != ""; then
+ return 1
+ fi
+
+ if test "$depends" != ""; then
+ for dep in $depends; do
+ (echo $log|grep $dep >/dev/null 2>&1) || ( reconfigure $dep $path "$max" "$pkg" && log="$log $dep"; )
+ done
+ fi
+
+ echo -ne " ${pkg}"
+
+ test -e "$path/info/$pkg.prerm" && $path/info/$pkg.prerm unconfigure >/dev/null 2>&1
+ test -e "$path/info/$pkg.postinst" && $path/info/$pkg.postinst configure >/dev/null 2>&1
+
+ log="$log $pkg"
+
+ # append the installed package name to the list
+ echo -ne "$pkg\n" >> /tmp/.configured.list
+
+ echo
+ return 0
+}
+
+if test ! -e /etc/.configured; then
+ echo "Reconfiguring all packages installed to root:"
+
+ # create unique packages list file
+ rm -f /tmp/.configured.list
+ touch /tmp/.configured.list
+
+ log=""
+
+ for control in /usr/lib/ipkg/info/*.control; do
+ package=`echo $control|sed -e 's,.*/,,g; s,\.control,,g;'`
+ (echo $log|grep $package >/dev/null 2>&1) || reconfigure $package /usr/lib/ipkg
+ done
+
+ # cleanup unique packages list file
+ rm -f /tmp/.configured.list
+fi
+
+test -f /usr/lib/ipkg/info/task-ramses || ipkg install task-ramses
diff --git a/meta/packages/initscripts/initscripts-1.0/openmn/umountfs b/meta/packages/initscripts/initscripts-1.0/openmn/umountfs
new file mode 100755
index 0000000000..399194109b
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/openmn/umountfs
@@ -0,0 +1,17 @@
+#! /bin/sh
+#
+# umountfs Turn off swap and unmount all local filesystems.
+#
+
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
+
+echo "Deactivating swap..."
+swapoff -a
+
+# We leave /proc mounted.
+echo "Unmounting local filesystems..."
+umount -f -a -r
+
+mount -o remount,ro /
+
+: exit 0
diff --git a/meta/packages/initscripts/initscripts-1.0/openzaurus/checkversion b/meta/packages/initscripts/initscripts-1.0/openzaurus/checkversion
new file mode 100755
index 0000000000..0c8be4fc2d
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/openzaurus/checkversion
@@ -0,0 +1,31 @@
+#!/bin/sh
+
+found=`cat /proc/version | cut -d ' ' -f3`
+echo "$found" | grep -q "snapshot" && exit 0
+
+if [ "VERSION" != "$found" ] ; then
+ echo -e >/dev/tty1
+ echo -e "\033[31;1m ******************************************* \033[0m" >/dev/tty1
+ echo -e "\033[31;1m * \033[0mW A R N I N G ! \033[31;1m* \033[0m" >/dev/tty1
+ echo -e "\033[31;1m ******************************************* \033[0m" >/dev/tty1
+ echo >/dev/tty1
+ echo -e "\033[31;1m ******************************************* \033[0m" >/dev/tty1
+ echo -e "\033[31;1m * \033[0mYou are running the wrong kernel! \033[31;1m* \033[0m" >/dev/tty1
+ echo -e "\033[31;1m ******************************************* \033[0m" >/dev/tty1
+ echo >/dev/tty1
+ echo -e "You are running '" $found "'" >/dev/tty1
+ echo -e "I expect kernel '" VERSION "'" >/dev/tty1
+ echo >/dev/tty1
+ echo -e "\033[31;1m ******************************************* \033[0m" >/dev/tty1
+ echo -e "\033[31;1m * \033[0mRunning this combination is unsupported \033[31;1m* \033[0m" >/dev/tty1
+ echo -e "\033[31;1m ******************************************* \033[0m" >/dev/tty1
+ echo >/dev/tty1
+ echo "I will sleep for 1 minute now. Use this chance to " >/dev/tty1
+ echo "reboot the device and flash the proper kernel now! " >/dev/tty1
+ echo -e >/dev/tty1
+ echo -e "\033[31;1m ******************************************* \033[0m" >/dev/tty1
+ echo -e "\033[31;1m * \033[0mW A R N I N G ! \033[31;1m* \033[0m" >/dev/tty1
+ echo -e "\033[31;1m ******************************************* \033[0m" >/dev/tty1
+ echo >/dev/tty1
+ sleep 60
+fi
diff --git a/meta/packages/initscripts/initscripts-1.0/poodle/devices b/meta/packages/initscripts/initscripts-1.0/poodle/devices
new file mode 100755
index 0000000000..9d1624428a
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/poodle/devices
@@ -0,0 +1,67 @@
+#!/bin/sh
+#
+# Devfs handling script. Since we arent running devfsd due to various reasons
+# which I will not lay out here, we need to create some links for compatibility.
+
+. /etc/default/rcS
+
+# exit without doing anything if udev is active
+if test -e /dev/.udevdb; then
+ exit 0
+fi
+
+if test -e /dev/.devfsd
+then
+ if test "$VERBOSE" != "no"; then echo -n "Setting up device links for devfs: "; fi
+ ln -s /dev/touchscreen/0 /dev/ts
+ ln -s /dev/touchscreen/0raw /dev/tsraw
+ ln -s /dev/vc/0 /dev/tty0
+ ln -s /dev/vc/1 /dev/tty1
+ ln -s /dev/vc/2 /dev/tty2
+ ln -s /dev/vc/3 /dev/tty3
+ ln -s /dev/vc/4 /dev/tty4
+ ln -s /dev/vc/5 /dev/tty5
+ ln -s /dev/fb/0 /dev/fb0
+# ln -s /dev/tts/0 /dev/ttySA0
+# ln -s /dev/tts/1 /dev/ttySA1
+# ln -s /dev/tts/2 /dev/ttySA2
+
+ ln -s /dev/sound/dsp /dev/dsp
+ ln -s /dev/sound/mixer /dev/mixer
+
+ ln -s /dev/v4l/video0 /dev/video0
+ ln -s /dev/v4l/video0 /dev/video
+ ln -s /dev/misc/rtc /dev/rtc
+
+ ## need this so that ppp will autoload the ppp modules
+ mknod /dev/ppp c 108 0
+ if test "$VERBOSE" != "no"; then echo "done"; fi
+else
+ if test "$VERBOSE" != "no"; then echo -n "Mounting /dev ramdisk: "; fi
+ mount -t ramfs ramfs /dev || mount -t tmpfs ramfs /dev
+ if test $? -ne 0; then
+ if test "$VERBOSE" != "no"; then echo "failed"; fi
+ else
+ if test "$VERBOSE" != "no"; then echo "done"; fi
+ fi
+ if test "$VERBOSE" != "no"; then echo -n "Populating /dev: "; fi
+ cd /
+ mkdir -p dev/msys
+ mkdir -p dev/pts
+ mkdir -p dev/vc
+ for i in 0 1 2 3 4 5 6 7 8 9; do
+ ln -s /dev/tty$i /dev/vc/$i
+ done
+ ln -sf /dev/sharp_ts /dev/ts
+ ln -sf /dev/sharp_fl /dev/fl
+ ln -sf /proc/self/fd /dev/fd
+ ln -sf /proc/kcore /dev/core
+ /sbin/makedevs -r / -D /etc/device_table
+ if test $? -ne 0; then
+ if test "$VERBOSE" != "no"; then echo "failed"; fi
+ else
+ if test "$VERBOSE" != "no"; then echo "done"; fi
+ fi
+fi
+
+exit 0
diff --git a/meta/packages/initscripts/initscripts-1.0/populate-volatile.sh b/meta/packages/initscripts/initscripts-1.0/populate-volatile.sh
new file mode 100755
index 0000000000..99a469d576
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/populate-volatile.sh
@@ -0,0 +1,138 @@
+#!/bin/sh
+
+. /etc/default/rcS
+
+CFGDIR="/etc/default/volatiles"
+TMPROOT="/var/tmp"
+COREDEF="00_core"
+
+[ "${VERBOSE}" != "no" ] && echo "Populating volatile Filesystems."
+
+
+check_requirements() {
+
+ cleanup() {
+ rm "${TMP_INTERMED}"
+ rm "${TMP_DEFINED}"
+ rm "${TMP_COMBINED}"
+ }
+
+ CFGFILE="$1"
+
+ [ `basename "${CFGFILE}"` = "${COREDEF}" ] && return 0
+
+ TMP_INTERMED="${TMPROOT}/tmp.$$"
+ TMP_DEFINED="${TMPROOT}/tmpdefined.$$"
+ TMP_COMBINED="${TMPROOT}/tmpcombined.$$"
+
+
+ cat /etc/passwd | sed 's@\(^:\)*:.*@\1@' | sort | uniq > "${TMP_DEFINED}"
+ cat ${CFGFILE} | grep -v "^#" | cut -d " " -f 2 > "${TMP_INTERMED}"
+ cat "${TMP_DEFINED}" "${TMP_INTERMED}" | sort | uniq > "${TMP_COMBINED}"
+
+ NR_DEFINED_USERS="`cat "${TMP_DEFINED}" | wc -l`"
+ NR_COMBINED_USERS="`cat "${TMP_COMBINED}" | wc -l`"
+
+ [ "${NR_DEFINED_USERS}" -ne "${NR_COMBINED_USERS}" ] && {
+ echo "Undefined users:"
+ diff "${TMP_DEFINED}" "${TMP_COMBINED}" | grep "^>"
+ cleanup
+ return 1
+ }
+
+
+ cat /etc/group | sed 's@\(^:\)*:.*@\1@' | sort | uniq > "${TMP_DEFINED}"
+ cat ${CFGFILE} | grep -v "^#" | cut -d " " -f 3 > "${TMP_INTERMED}"
+ cat "${TMP_DEFINED}" "${TMP_INTERMED}" | sort | uniq > "${TMP_COMBINED}"
+
+ NR_DEFINED_GROUPS="`cat "${TMP_DEFINED}" | wc -l`"
+ NR_COMBINED_GROUPS="`cat "${TMP_COMBINED}" | wc -l`"
+
+ [ "${NR_DEFINED_GROUPS}" -ne "${NR_COMBINED_GROUPS}" ] && {
+ echo "Undefined groups:"
+ diff "${TMP_DEFINED}" "${TMP_COMBINED}" | grep "^>"
+ cleanup
+ return 1
+ }
+
+ # Add checks for required directories here
+
+ cleanup
+ return 0
+ }
+
+apply_cfgfile() {
+
+ CFGFILE="$1"
+
+ check_requirements "${CFGFILE}" || {
+ echo "Skipping ${CFGFILE}"
+ return 1
+ }
+
+ cat ${CFGFILE} | grep -v "^#" | \
+ while read LINE; do
+ TTYPE=`echo ${LINE} | cut -d " " -f 1`
+ TUSER=`echo ${LINE} | cut -d " " -f 2`
+ TGROUP=`echo ${LINE} | cut -d " " -f 3`
+ TMODE=`echo ${LINE} | cut -d " " -f 4`
+ TNAME=`echo ${LINE} | cut -d " " -f 5`
+
+ [ "${VERBOSE}" != "no" ] && echo "Checking for -${TNAME}-."
+
+ [ "${TTYPE}" = "l" ] && {
+ [ -e "${TNAME}" ] && {
+ echo "Cannot create link over existing -${TNAME}-." >&2
+ } || {
+ TSOURCE=`echo ${LINE} | cut -d " " -f 6`
+ [ "${VERBOSE}" != "no" ] && echo "Creating link -${TNAME}- pointing to -${TSOURCE}-."
+ ln -s "${TSOURCE}" "${TNAME}"
+ }
+ continue
+ }
+
+ [ -L "${TNAME}" ] && {
+ [ "${VERBOSE}" != "no" ] && echo "Found link."
+ NEWNAME=`ls -l "${TNAME}" | sed -e 's/^.*-> \(.*\)$/\1/'`
+ echo ${NEWNAME} | grep -v "^/" >/dev/null && {
+ TNAME="`echo ${TNAME} | sed -e 's@\(.*\)/.*@\1@'`/${NEWNAME}"
+ [ "${VERBOSE}" != "no" ] && echo "Converted relative linktarget to absolute path -${TNAME}-."
+ } || {
+ TNAME="${NEWNAME}"
+ [ "${VERBOSE}" != "no" ] && echo "Using absolute link target -${TNAME}-."
+ }
+ }
+
+ [ -e "${TNAME}" ] && {
+ [ "${VERBOSE}" != "no" ] && echo "Target already exists. Skipping."
+ continue
+ }
+
+ case "${TTYPE}" in
+ "f") [ "${VERBOSE}" != "no" ] && echo "Creating file -${TNAME}-."
+ touch "${TNAME}"
+ ;;
+ "d") [ "${VERBOSE}" != "no" ] && echo "Creating directory -${TNAME}-."
+ mkdir -p "${TNAME}"
+ # Add check to see if there's an entry in fstab to mount.
+ ;;
+ *) [ "${VERBOSE}" != "no" ] && echo "Invalid type -${TTYPE}-."
+ continue
+ ;;
+ esac
+
+ chown ${TUSER} ${TNAME} || echo "Failed to set owner -${TUSER}- for -${TNAME}-." >&2
+ chgrp ${TGROUP} ${TNAME} || echo "Failed to set group -${TGROUP}- for -${TNAME}-." >&2
+ chmod ${TMODE} ${TNAME} || echo "Failed to set mode -${TMODE}- for -${TNAME}-." >&2
+
+ done
+
+ return 0
+
+ }
+
+
+for file in `ls -1 "${CFGDIR}" | sort`; do
+ apply_cfgfile "${CFGDIR}/${file}"
+ done
+
diff --git a/meta/packages/initscripts/initscripts-1.0/ramdisk b/meta/packages/initscripts/initscripts-1.0/ramdisk
new file mode 100755
index 0000000000..03ac9bd05b
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/ramdisk
@@ -0,0 +1,46 @@
+#!/bin/sh
+
+. /etc/default/rcS
+
+FSTYPE=ext2
+
+if test ! -e /proc/mtd
+then
+ test "$VERBOSE" != "no" && echo >&2 "/proc not mounted, or mtd support not enabled in kernel."
+ exit
+fi
+
+RAM_MTD_NO=`cat /proc/mtd | grep mtdram | tail -n 1 | cut -d: -f1 | cut -dd -f2`
+if test -z "$RAM_MTD_NO"; then exit 0; fi
+
+if test -e /dev/mtdblock/0
+then
+ RAM_MTD=/dev/mtd/$RAM_MTD_NO
+ RAM_MTDBLK=/dev/mtdblock/$RAM_MTD_NO
+else
+ RAM_MTD=/dev/mtd$RAM_MTD_NO
+ RAM_MTDBLK=/dev/mtdblock$RAM_MTD_NO
+fi
+
+RAM_MNTPT=/mnt/ram
+RAM_MTD_SIZE_HEX=`cat /proc/mtd | grep mtdram | tail -n 1 | cut -d" " -f 2`
+RAM_MTD_SIZE=`dc 0x$RAM_MTD_SIZE_HEX 1024 / p`
+test -e /etc/ramdisk.conf && OLD_MTD_SIZE=`cat /etc/ramdisk.conf`
+echo $RAM_MTD_SIZE > /etc/ramdisk.conf
+
+if test ! -d "$RAM_MNTPT"; then echo >&2 "Mountpoint $RAM_MNTPT does not exist!"; exit 0; fi
+
+if (test ! -e /etc/.configured) || test "$OLD_MTD_SIZE" != "$RAM_MTD_SIZE"; then
+ test "$VERBOSE" != "no" && echo -n "Wiping ramdisk: "
+ dd if=/dev/zero bs=1024 count=$RAM_MTD_SIZE of=$RAM_MTD 2>/dev/null >&2 || exit 1
+ test "$VERBOSE" != "no" && echo "$RAM_MTD";
+ test "$VERBOSE" != "no" && echo -n "Creating filesystem on ramdisk: "
+ mkfs.$FSTYPE $RAM_MTDBLK 2>/dev/null >&2 || exit 1
+ test "$VERBOSE" != "no" && echo "$RAM_MTDBLK";
+fi
+
+test "$VERBOSE" != "no" && echo -n "Mounting ramdisk: "
+mount -t $FSTYPE $RAM_MTDBLK $RAM_MNTPT 2>/dev/null >&2 || exit 1
+test "$VERBOSE" != "no" && echo "$RAM_MTDBLK";
+
+exit 0
diff --git a/meta/packages/initscripts/initscripts-1.0/reboot b/meta/packages/initscripts/initscripts-1.0/reboot
new file mode 100755
index 0000000000..7f95255bd9
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/reboot
@@ -0,0 +1,17 @@
+#! /bin/sh
+#
+# reboot Execute the reboot command.
+#
+# Version: @(#)reboot 2.75 22-Jun-1998 miquels@cistron.nl
+#
+
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
+
+# Update the timestamp, if there is one
+if test -e /etc/timestamp
+then
+ date +%2m%2d%2H%2M%Y > /etc/timestamp
+fi
+
+echo -n "Rebooting... "
+reboot -d -f -i
diff --git a/meta/packages/initscripts/initscripts-1.0/rmnologin b/meta/packages/initscripts/initscripts-1.0/rmnologin
new file mode 100755
index 0000000000..444145a26a
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/rmnologin
@@ -0,0 +1,14 @@
+#! /bin/sh
+#
+# rmnologin This script removes the /etc/nologin file as the last
+# step in the boot process.
+#
+# Version: @(#)rmnologin 1.00 22-Jun-1998 miquels@cistron.nl
+#
+
+if test -f /etc/nologin.boot
+then
+ rm -f /etc/nologin /etc/nologin.boot
+fi
+
+: exit 0
diff --git a/meta/packages/initscripts/initscripts-1.0/sendsigs b/meta/packages/initscripts/initscripts-1.0/sendsigs
new file mode 100755
index 0000000000..c62a5cd37d
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/sendsigs
@@ -0,0 +1,17 @@
+#! /bin/sh
+#
+# sendsigs Kill all remaining processes.
+#
+# Version: @(#)sendsigs 2.75 22-Jun-1998 miquels@cistron.nl
+#
+
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
+
+# Kill all processes.
+echo "Sending all processes the TERM signal..."
+killall5 -15
+sleep 5
+echo "Sending all processes the KILL signal..."
+killall5 -9
+
+: exit 0
diff --git a/meta/packages/initscripts/initscripts-1.0/simpad/devices b/meta/packages/initscripts/initscripts-1.0/simpad/devices
new file mode 100644
index 0000000000..0e59229225
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/simpad/devices
@@ -0,0 +1,37 @@
+#!/bin/sh
+#
+# Devfs handling script. Since we arent running devfsd due to various reasons
+# which I will not lay out here, we need to create some links for compatibility.
+
+# exit without doing anything if udev is active
+if test -e /dev/.udevdb; then
+ exit 0
+fi
+
+ test -n "$VERBOSE" && echo -n "Setting up device links for devfs: "
+ (
+ ln -s /dev/vc/0 /dev/tty0
+ ln -s /dev/vc/1 /dev/tty1
+ ln -s /dev/vc/2 /dev/tty2
+ ln -s /dev/vc/3 /dev/tty3
+ ln -s /dev/vc/4 /dev/tty4
+ ln -s /dev/vc/5 /dev/tty5
+ ln -s /dev/fb/0 /dev/fb0
+ # ln -s /dev/tts/0 /dev/ttySA0
+ # ln -s /dev/tts/1 /dev/ttySA1
+ # ln -s /dev/tts/2 /dev/ttySA2
+
+ ln -s /dev/sound/dsp /dev/dsp
+ ln -s /dev/sound/mixer /dev/mixer
+
+ ln -s /dev/v4l/video0 /dev/video0
+ ln -s /dev/v4l/video0 /dev/video
+ ln -s /dev/misc/rtc /dev/rtc
+ ln -s /dev/misc/apm_bios /dev/apm_bios
+
+ ## need this so that ppp will autoload the ppp modules
+ mknod /dev/ppp c 108 0
+ ) > /dev/null 2>&1
+
+
+ test -n "$VERBOSE" && echo "done"
diff --git a/meta/packages/initscripts/initscripts-1.0/single b/meta/packages/initscripts/initscripts-1.0/single
new file mode 100755
index 0000000000..2d177ebb62
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/single
@@ -0,0 +1,21 @@
+#! /bin/sh
+#
+# single executed by init(8) upon entering runlevel 1 (single).
+#
+# Version: @(#)single 1.20 26-Geb-2001 miquels@cistron.nl
+#
+
+PATH="/sbin:/bin:/usr/sbin:/usr/bin"
+
+# Kill all processes.
+echo "Sending all processes the TERM signal..."
+killall5 -15
+sleep 5
+echo "Sending all processes the KILL signal..."
+killall5 -9
+
+# We start update here, since we just killed it.
+test -x /sbin/update && update
+
+echo "Entering single-user mode..."
+exec init -t1 S
diff --git a/meta/packages/initscripts/initscripts-1.0/spitz/devices b/meta/packages/initscripts/initscripts-1.0/spitz/devices
new file mode 100755
index 0000000000..083090ecb9
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/spitz/devices
@@ -0,0 +1,68 @@
+#!/bin/sh
+#
+# Devfs handling script. Since we arent running devfsd due to various reasons
+# which I will not lay out here, we need to create some links for compatibility.
+
+. /etc/default/rcS
+
+# exit without doing anything if udev is active
+if test -e /dev/.udevdb; then
+ exit 0
+fi
+
+if test -e /dev/.devfsd
+then
+ if test "$VERBOSE" != "no"; then echo -n "Setting up device links for devfs: "; fi
+ ln -s /dev/touchscreen/0 /dev/ts
+ ln -s /dev/touchscreen/0raw /dev/tsraw
+ ln -s /dev/vc/0 /dev/tty0
+ ln -s /dev/vc/1 /dev/tty1
+ ln -s /dev/vc/2 /dev/tty2
+ ln -s /dev/vc/3 /dev/tty3
+ ln -s /dev/vc/4 /dev/tty4
+ ln -s /dev/vc/5 /dev/tty5
+ ln -s /dev/fb/0 /dev/fb0
+# ln -s /dev/tts/0 /dev/ttySA0
+# ln -s /dev/tts/1 /dev/ttySA1
+# ln -s /dev/tts/2 /dev/ttySA2
+
+ ln -s /dev/sound/dsp /dev/dsp
+ ln -s /dev/sound/mixer /dev/mixer
+
+ ln -s /dev/v4l/video0 /dev/video0
+ ln -s /dev/v4l/video0 /dev/video
+ ln -s /dev/misc/rtc /dev/rtc
+
+ ## need this so that ppp will autoload the ppp modules
+ mknod /dev/ppp c 108 0
+ if test "$VERBOSE" != "no"; then echo "done"; fi
+else
+ if test "$VERBOSE" != "no"; then echo -n "Mounting /dev ramdisk: "; fi
+ mount -t ramfs ramfs /dev || mount -t tmpfs ramfs /dev
+ if test $? -ne 0; then
+ if test "$VERBOSE" != "no"; then echo "failed"; fi
+ else
+ if test "$VERBOSE" != "no"; then echo "done"; fi
+ fi
+ if test "$VERBOSE" != "no"; then echo -n "Populating /dev: "; fi
+ cd /
+ mkdir -p dev/msys
+ mkdir -p dev/pts
+ mkdir -p dev/input
+ mkdir -p dev/vc
+ for i in 0 1 2 3 4 5 6 7 8 9; do
+ ln -s /dev/tty$i /dev/vc/$i
+ done
+ ln -sf /dev/sharp_ts /dev/ts
+ ln -sf /dev/sharp_fl /dev/fl
+ ln -sf /proc/self/fd /dev/fd
+ ln -sf /proc/kcore /dev/core
+ /sbin/makedevs -r / -D /etc/device_table
+ if test $? -ne 0; then
+ if test "$VERBOSE" != "no"; then echo "failed"; fi
+ else
+ if test "$VERBOSE" != "no"; then echo "done"; fi
+ fi
+fi
+
+exit 0
diff --git a/meta/packages/initscripts/initscripts-1.0/sysfs.sh b/meta/packages/initscripts/initscripts-1.0/sysfs.sh
new file mode 100644
index 0000000000..4486128ad5
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/sysfs.sh
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+if [ -e /proc ] && ! [ -e /proc/mounts ]; then
+ mount -t proc proc /proc
+fi
+
+if [ -e /sys ] && grep -q sysfs /proc/filesystems; then
+ mount sysfs /sys -t sysfs
+fi
+
+exit 0
diff --git a/meta/packages/initscripts/initscripts-1.0/tosa/devices b/meta/packages/initscripts/initscripts-1.0/tosa/devices
new file mode 100755
index 0000000000..61cfd9d7b9
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/tosa/devices
@@ -0,0 +1,72 @@
+#!/bin/sh
+#
+# Devfs handling script. Since we arent running devfsd due to various reasons
+# which I will not lay out here, we need to create some links for compatibility.
+
+. /etc/default/rcS
+
+# exit without doing anything if udev is active
+if test -e /dev/.udevdb; then
+ exit 0
+fi
+
+if test -e /dev/.devfsd
+then
+ if test "$VERBOSE" != "no"; then echo -n "Setting up device links for devfs: "; fi
+ ln -s /dev/touchscreen/0 /dev/ts
+ ln -s /dev/touchscreen/0raw /dev/tsraw
+ ln -s /dev/vc/0 /dev/tty0
+ ln -s /dev/vc/1 /dev/tty1
+ ln -s /dev/vc/2 /dev/tty2
+ ln -s /dev/vc/3 /dev/tty3
+ ln -s /dev/vc/4 /dev/tty4
+ ln -s /dev/vc/5 /dev/tty5
+ ln -s /dev/fb/0 /dev/fb0
+# ln -s /dev/tts/0 /dev/ttySA0
+# ln -s /dev/tts/1 /dev/ttySA1
+# ln -s /dev/tts/2 /dev/ttySA2
+
+ ln -s /dev/sound/dsp /dev/dsp
+ ln -s /dev/sound/mixer /dev/mixer
+
+ ln -s /dev/v4l/video0 /dev/video0
+ ln -s /dev/v4l/video0 /dev/video
+ ln -s /dev/misc/rtc /dev/rtc
+
+ ## need this so that ppp will autoload the ppp modules
+ mknod /dev/ppp c 108 0
+ if test "$VERBOSE" != "no"; then echo "done"; fi
+else
+ if test "$VERBOSE" != "no"; then echo -n "Mounting /dev ramdisk: "; fi
+ mount -t ramfs ramfs /dev || mount -t tmpfs ramfs /dev
+ if test $? -ne 0; then
+ if test "$VERBOSE" != "no"; then echo "failed"; fi
+ else
+ if test "$VERBOSE" != "no"; then echo "done"; fi
+ fi
+ if test "$VERBOSE" != "no"; then echo -n "Populating /dev: "; fi
+ cd /
+ mkdir -p dev/msys
+ mkdir -p dev/pts
+ mkdir -p dev/input
+ mkdir -p dev/vc
+ for i in 0 1 2 3 4 5 6 7 8 9; do
+ ln -s /dev/tty$i /dev/vc/$i
+ done
+ ln -sf /dev/sharp_ts /dev/ts
+ ln -sf /dev/sharp_fl /dev/fl
+ ln -sf /proc/self/fd /dev/fd
+ ln -sf /proc/kcore /dev/core
+ /sbin/makedevs -r / -D /etc/device_table
+ if test $? -ne 0; then
+ if test "$VERBOSE" != "no"; then echo "failed"; fi
+ else
+ if test "$VERBOSE" != "no"; then echo "done"; fi
+ fi
+fi
+
+#Always turn on usb
+if [ ! -d /dev/usb ]; then mkdir /dev/usb; fi
+mknod /dev/usb/host_ohci c 10 222
+
+exit 0
diff --git a/meta/packages/initscripts/initscripts-1.0/uml/devices b/meta/packages/initscripts/initscripts-1.0/uml/devices
new file mode 100755
index 0000000000..d6459c1633
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/uml/devices
@@ -0,0 +1,61 @@
+#!/bin/sh
+#
+# Devfs handling script. Since we arent running devfsd due to various reasons
+# which I will not lay out here, we need to create some links for compatibility.
+
+. /etc/default/rcS
+
+# exit without doing anything if udev is active
+if test -e /dev/.udevdb; then
+ exit 0
+fi
+
+if test -e /dev/.devfsd
+then
+ if test "$VERBOSE" != "no"; then echo -n "Setting up device links for devfs: "; fi
+ ln -s /dev/touchscreen/0 /dev/ts
+ ln -s /dev/touchscreen/0raw /dev/tsraw
+ ln -s /dev/vc/0 /dev/tty0
+ ln -s /dev/vc/1 /dev/tty1
+ ln -s /dev/vc/2 /dev/tty2
+ ln -s /dev/vc/3 /dev/tty3
+ ln -s /dev/vc/4 /dev/tty4
+ ln -s /dev/vc/5 /dev/tty5
+ ln -s /dev/fb/0 /dev/fb0
+# ln -s /dev/tts/0 /dev/ttySA0
+# ln -s /dev/tts/1 /dev/ttySA1
+# ln -s /dev/tts/2 /dev/ttySA2
+
+ ln -s /dev/sound/dsp /dev/dsp
+ ln -s /dev/sound/mixer /dev/mixer
+
+ ln -s /dev/v4l/video0 /dev/video0
+ ln -s /dev/v4l/video0 /dev/video
+ ln -s /dev/misc/rtc /dev/rtc
+
+ ## need this so that ppp will autoload the ppp modules
+ mknod /dev/ppp c 108 0
+ if test "$VERBOSE" != "no"; then echo "done"; fi
+else
+ if test "$VERBOSE" != "no"; then echo -n "Mounting /dev ramdisk: "; fi
+ mount -t ramfs ramfs /dev || mount -t tmpfs ramfs /dev
+ if test $? -ne 0; then
+ if test "$VERBOSE" != "no"; then echo "failed"; fi
+ else
+ if test "$VERBOSE" != "no"; then echo "done"; fi
+ fi
+ if test "$VERBOSE" != "no"; then echo -n "Populating /dev: "; fi
+ cd /
+ mkdir -p dev/msys
+ mkdir -p dev/pts
+ ln -sf /proc/self/fd /dev/fd
+ ln -sf /proc/kcore /dev/core
+ /sbin/makedevs -r / -D /etc/device_table
+ if test $? -ne 0; then
+ if test "$VERBOSE" != "no"; then echo "failed"; fi
+ else
+ if test "$VERBOSE" != "no"; then echo "done"; fi
+ fi
+fi
+
+exit 0
diff --git a/meta/packages/initscripts/initscripts-1.0/umountfs b/meta/packages/initscripts/initscripts-1.0/umountfs
new file mode 100755
index 0000000000..ec75b0c4a4
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/umountfs
@@ -0,0 +1,18 @@
+#! /bin/sh
+#
+# umountfs Turn off swap and unmount all local filesystems.
+#
+
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
+
+echo "Deactivating swap..."
+swapoff -a
+
+# We leave /proc mounted.
+echo "Unmounting local filesystems..."
+mount -o remount,ro /mnt/ram
+umount -f -a -r
+
+mount -o remount,ro /
+
+: exit 0
diff --git a/meta/packages/initscripts/initscripts-1.0/umountnfs.sh b/meta/packages/initscripts/initscripts-1.0/umountnfs.sh
new file mode 100755
index 0000000000..f5fe48aa74
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/umountnfs.sh
@@ -0,0 +1,28 @@
+#! /bin/sh
+#
+# umountnfs.sh Unmount all network filesystems.
+#
+
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
+
+# Write a reboot record to /var/log/wtmp before unmounting
+halt -w
+
+echo "Unmounting remote filesystems..."
+
+test -f /etc/fstab && (
+
+#
+# Read through fstab line by line and unount network file systems
+#
+while read device mountpt fstype options
+do
+ if test "$fstype" = nfs || test "$fstype" = smbfs || test "$fstype" = ncpfs
+ then
+ umount -f $mountpt
+ fi
+done
+) < /etc/fstab
+
+: exit 0
+
diff --git a/meta/packages/initscripts/initscripts-1.0/urandom b/meta/packages/initscripts/initscripts-1.0/urandom
new file mode 100755
index 0000000000..45c41d758b
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/urandom
@@ -0,0 +1,41 @@
+#! /bin/sh
+#
+# urandom This script saves the random seed between reboots.
+# It is called from the boot, halt and reboot scripts.
+#
+# Version: @(#)urandom 1.33 22-Jun-1998 miquels@cistron.nl
+#
+
+test -c /dev/urandom || exit 0
+. /etc/default/rcS
+
+case "$1" in
+ start|"")
+ test "$VERBOSE" != no && echo "Initializing random number generator..."
+ # Load and then save 512 bytes,
+ # which is the size of the entropy pool
+ if test -f /var/lib/urandom/random-seed
+ then
+ cat /var/lib/urandom/random-seed >/dev/urandom
+ fi
+ rm -f /var/lib/urandom/random-seed
+ umask 077
+ dd if=/dev/urandom of=/var/lib/urandom/random-seed count=1 \
+ >/dev/null 2>&1 || echo "urandom start: failed."
+ umask 022
+ ;;
+ stop)
+ # Carry a random seed from shut-down to start-up;
+ # see documentation in linux/drivers/char/random.c
+ test "$VERBOSE" != no && echo "Saving random seed..."
+ umask 077
+ dd if=/dev/urandom of=/var/lib/urandom/random-seed count=1 \
+ >/dev/null 2>&1 || echo "urandom stop: failed."
+ ;;
+ *)
+ echo "Usage: urandom {start|stop}" >&2
+ exit 1
+ ;;
+esac
+
+exit 0
diff --git a/meta/packages/initscripts/initscripts-1.0/volatiles b/meta/packages/initscripts/initscripts-1.0/volatiles
new file mode 100644
index 0000000000..37ce8b529a
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/volatiles
@@ -0,0 +1,39 @@
+# This configuration file lists filesystem objects that should get verified
+# during startup and be created if missing.
+#
+# Every line must either be a comment starting with #
+# or a definition of format:
+# <type> <owner> <group> <mode> <path> [<linksource>]
+# where the items are separated by whitespace !
+#
+# <type> : d|f|l : (d)irectory|(f)ile|(l)ink
+#
+# A linking example:
+# l root root 0777 /var/test /tmp/testfile
+# f root root 0644 /var/test
+#
+# Understanding links:
+# When populate-volatile is to verify/create a directory or file, it will first
+# check it's existence. If a link is found to exist in the place of the target,
+# the path of the target is replaced with the target the link points to.
+# Thus, if a link is in the place to be verified, the object will be created
+# in the place the link points to instead.
+# This explains the order of "link before object" as in the example above, where
+# a link will be created at /var/test pointing to /tmp/testfile and due to this
+# link the file defined as /var/test will actually be created as /tmp/testfile.
+d root root 0775 /var
+d root root 0755 /var/backups
+d root root 0755 /var/cache
+d root root 0755 /var/lib
+d root root 0755 /var/lib/ipkg
+d root root 0755 /var/lib/misc
+d root root 2775 /var/local
+d root root 1777 /var/lock
+d root root 0755 /var/lock/subsys
+d root root 0755 /var/log
+d root root 0755 /var/run
+d root root 0755 /var/spool
+d root root 1777 /var/tmp
+f root root 0664 /var/run/utmp
+f root root 0664 /var/log/wtmp
+f root root 0664 /var/log/lastlog
diff --git a/meta/packages/initscripts/initscripts_1.0.bb b/meta/packages/initscripts/initscripts_1.0.bb
new file mode 100644
index 0000000000..eebfbca7bf
--- /dev/null
+++ b/meta/packages/initscripts/initscripts_1.0.bb
@@ -0,0 +1,141 @@
+DESCRIPTION = "SysV init scripts"
+MAINTAINER = "Chris Larson <kergoth@handhelds.org>"
+SECTION = "base"
+PRIORITY = "required"
+DEPENDS = "makedevs"
+DEPENDS_openzaurus = "makedevs virtual/kernel"
+RDEPENDS = "makedevs"
+LICENSE = "GPL"
+PR = "r73"
+
+SRC_URI = "file://halt \
+ file://ramdisk \
+ file://umountfs \
+ file://devices \
+ file://devpts.sh \
+ file://devpts \
+ file://hostname.sh \
+ file://mountall.sh \
+ file://banner \
+ file://finish \
+ file://bootmisc.sh \
+ file://mountnfs.sh \
+ file://reboot \
+ file://checkfs.sh \
+ file://single \
+ file://sendsigs \
+ file://urandom \
+ file://rmnologin \
+ file://checkroot.sh \
+ file://umountnfs.sh \
+ file://sysfs.sh \
+ file://device_table.txt \
+ file://populate-volatile.sh \
+ file://volatiles "
+
+SRC_URI_append_arm = " file://alignment.sh"
+SRC_URI_append_openzaurus = " file://checkversion"
+
+def read_kernel_version(d):
+ import bb
+ distro = bb.data.getVar('DISTRO', d, 1)
+ filename = bb.data.getVar('STAGING_KERNEL_DIR', d, 1)
+ if distro == "openzaurus":
+ return file( filename + "/kernel-abiversion", "r" ).read().strip()
+ else:
+ return "not important"
+KERNEL_VERSION = ""
+KERNEL_VERSION_openzaurus = "${@read_kernel_version(d)}"
+PACKAGE_ARCH_openzaurus = "${MACHINE_ARCH}"
+
+do_install () {
+#
+# Create directories and install device independent scripts
+#
+ install -d ${D}${sysconfdir}/init.d \
+ ${D}${sysconfdir}/rcS.d \
+ ${D}${sysconfdir}/rc0.d \
+ ${D}${sysconfdir}/rc1.d \
+ ${D}${sysconfdir}/rc2.d \
+ ${D}${sysconfdir}/rc3.d \
+ ${D}${sysconfdir}/rc4.d \
+ ${D}${sysconfdir}/rc5.d \
+ ${D}${sysconfdir}/rc6.d \
+ ${D}${sysconfdir}/default \
+ ${D}${sysconfdir}/default/volatiles
+
+ install -m 0755 ${WORKDIR}/bootmisc.sh ${D}${sysconfdir}/init.d
+ install -m 0755 ${WORKDIR}/checkroot.sh ${D}${sysconfdir}/init.d
+ install -m 0755 ${WORKDIR}/finish ${D}${sysconfdir}/init.d
+ install -m 0755 ${WORKDIR}/halt ${D}${sysconfdir}/init.d
+ install -m 0755 ${WORKDIR}/hostname.sh ${D}${sysconfdir}/init.d
+ install -m 0755 ${WORKDIR}/mountall.sh ${D}${sysconfdir}/init.d
+ install -m 0755 ${WORKDIR}/mountnfs.sh ${D}${sysconfdir}/init.d
+ install -m 0755 ${WORKDIR}/ramdisk ${D}${sysconfdir}/init.d
+ install -m 0755 ${WORKDIR}/reboot ${D}${sysconfdir}/init.d
+ install -m 0755 ${WORKDIR}/rmnologin ${D}${sysconfdir}/init.d
+ install -m 0755 ${WORKDIR}/sendsigs ${D}${sysconfdir}/init.d
+ install -m 0755 ${WORKDIR}/single ${D}${sysconfdir}/init.d
+ install -m 0755 ${WORKDIR}/umountnfs.sh ${D}${sysconfdir}/init.d
+ install -m 0755 ${WORKDIR}/urandom ${D}${sysconfdir}/init.d
+ install -m 0755 ${WORKDIR}/devpts.sh ${D}${sysconfdir}/init.d
+ install -m 0755 ${WORKDIR}/devpts ${D}${sysconfdir}/default
+ install -m 0755 ${WORKDIR}/sysfs.sh ${D}${sysconfdir}/init.d
+ install -m 0755 ${WORKDIR}/populate-volatile.sh ${D}${sysconfdir}/init.d
+ install -m 0644 ${WORKDIR}/volatiles ${D}${sysconfdir}/default/volatiles/00_core
+ if [ "${TARGET_ARCH}" = "arm" ]; then
+ install -m 0755 ${WORKDIR}/alignment.sh ${D}${sysconfdir}/init.d
+ fi
+#
+# Install device dependent scripts
+#
+
+ if [ "${DISTRO}" == "openzaurus" ]; then
+ cat ${WORKDIR}/checkversion | sed -e "s,VERSION,${KERNEL_VERSION}-${DISTRO_VERSION}," > ${D}${sysconfdir}/init.d/checkversion
+ chmod 0755 ${D}${sysconfdir}/init.d/checkversion
+ ln -sf ../init.d/checkversion ${D}${sysconfdir}/rcS.d/S01version
+ fi
+
+ install -m 0755 ${WORKDIR}/banner ${D}${sysconfdir}/init.d/banner
+ install -m 0755 ${WORKDIR}/devices ${D}${sysconfdir}/init.d/devices
+ install -m 0755 ${WORKDIR}/umountfs ${D}${sysconfdir}/init.d/umountfs
+#
+# Create runlevel links
+#
+ ln -sf ../init.d/rmnologin ${D}${sysconfdir}/rc2.d/S99rmnologin
+ ln -sf ../init.d/rmnologin ${D}${sysconfdir}/rc3.d/S99rmnologin
+ ln -sf ../init.d/rmnologin ${D}${sysconfdir}/rc4.d/S99rmnologin
+ ln -sf ../init.d/rmnologin ${D}${sysconfdir}/rc5.d/S99rmnologin
+ ln -sf ../init.d/sendsigs ${D}${sysconfdir}/rc6.d/S20sendsigs
+# ln -sf ../init.d/urandom ${D}${sysconfdir}/rc6.d/S30urandom
+ ln -sf ../init.d/umountnfs.sh ${D}${sysconfdir}/rc6.d/S31umountnfs.sh
+ ln -sf ../init.d/umountfs ${D}${sysconfdir}/rc6.d/S40umountfs
+ # udev will run at S55 if installed
+ ln -sf ../init.d/ramdisk ${D}${sysconfdir}/rcS.d/S30ramdisk
+ ln -sf ../init.d/reboot ${D}${sysconfdir}/rc6.d/S90reboot
+ ln -sf ../init.d/sendsigs ${D}${sysconfdir}/rc0.d/S20sendsigs
+# ln -sf ../init.d/urandom ${D}${sysconfdir}/rc0.d/S30urandom
+ ln -sf ../init.d/umountnfs.sh ${D}${sysconfdir}/rc0.d/S31umountnfs.sh
+ ln -sf ../init.d/umountfs ${D}${sysconfdir}/rc0.d/S40umountfs
+ # udev will run at S55 if installed
+ ln -sf ../init.d/halt ${D}${sysconfdir}/rc0.d/S90halt
+ ln -sf ../init.d/banner ${D}${sysconfdir}/rcS.d/S02banner
+ ln -sf ../init.d/checkroot.sh ${D}${sysconfdir}/rcS.d/S10checkroot.sh
+# ln -sf ../init.d/checkfs.sh ${D}${sysconfdir}/rcS.d/S30checkfs.sh
+ ln -sf ../init.d/mountall.sh ${D}${sysconfdir}/rcS.d/S35mountall.sh
+ ln -sf ../init.d/hostname.sh ${D}${sysconfdir}/rcS.d/S39hostname.sh
+ ln -sf ../init.d/mountnfs.sh ${D}${sysconfdir}/rcS.d/S45mountnfs.sh
+ ln -sf ../init.d/bootmisc.sh ${D}${sysconfdir}/rcS.d/S55bootmisc.sh
+# ln -sf ../init.d/urandom ${D}${sysconfdir}/rcS.d/S55urandom
+ ln -sf ../init.d/finish ${D}${sysconfdir}/rcS.d/S99finish
+ ln -sf ../init.d/devices ${D}${sysconfdir}/rcS.d/S05devices
+ # udev will run at S04 if installed
+ ln -sf ../init.d/sysfs.sh ${D}${sysconfdir}/rcS.d/S03sysfs
+ ln -sf ../init.d/populate-volatile.sh ${D}${sysconfdir}/rcS.d/S37populate-volatile.sh
+ ln -sf ../init.d/devpts.sh ${D}${sysconfdir}/rcS.d/S38devpts.sh
+ if [ "${TARGET_ARCH}" = "arm" ]; then
+ ln -sf ../init.d/alignment.sh ${D}${sysconfdir}/rcS.d/S06alignment
+ fi
+
+ install -m 0755 ${WORKDIR}/device_table.txt ${D}${sysconfdir}/device_table
+}